Permalink
Fetching contributors…
Cannot retrieve contributors at this time
263 lines (254 sloc) 9.69 KB
# -*- coding: utf-8; mode: tcl; tab-width: 4; indent-tabs-mode: nil; c-basic-offset: 4 -*- vim:fenc=utf-8:ft=tcl:et:sw=4:ts=4:sts=4
PortSystem 1.0
name py-graveyard
version 0.0
categories python
array set replacements {
24 27
25 27
26 27
31 34
32 34
33 34
34 35
35 36
}
proc unknown args {
upvar 1 replacements replacements
set replaced_series [lassign $args superport version_string]
lassign [split $version_string _] ver rev
if {$rev eq ""} {
set rev 0
}
foreach series $replaced_series {
regsub ^py- $superport py${series}- replaced
regsub ^py- $superport py$replacements($series)- replacement
subport $replaced {
version $ver
revision $rev
replaced_by $replacement
}
}
}
# Please keep the list of ports sorted in alphabetical order. When adding a port
# to the list, the version_revision listed must be greater than it was before,
# otherwise the port is not considered outdated and replacement does not occur.
# SUPERPORT VERSION_REV REPLACED BRANCHES
py-acor 1.1.1_1 26 33
py-acora 2.1_1 33
py-alabaster 0.7.6_1 26 33
py-appdirs 1.4.3_1 26 33
py-argh 0.24.1_1 33
py-asn1 0.1.9_2 26
py-astlib 0.8.0_1 26 32
py-astrolibcoords 0.37_1 26
py-astropy-helpers 2.0.2_1 33
py-astroquery 0.3.6_1 33
py-astroML 0.3_1 26 33
py-async-task 0.6.2_1 26
py-atpy 0.9.7_3 26
py-autopep8 1.1.1_1 26 31 32 33
py-awscli 1.14.63 34
py-backcall 0.1.0_1 33
py-backports-ssl 0.0.7_1 33
py-backports.weakref 1.0.post1 34
py-biggles 1.6.7_2 26
py-bitarray 0.8.1_1 26 32 33
py-blockcanvas 4.0.3_1 26
py-beautifulsoup 3.2.1_1 26
py-beautifulsoup4 4.5.3_1 26 33
py-boto 2.45.0_1 26
py-boto3 1.6.16 34
py-botocore 1.9.16 34
py-bottle 0.12.9_1 26
py-bottle-sqlalchemy 0.3_1 26
py-bottleneck 1.2.1_1 26 33
py-cdb 0.34_1 26
py-cherrypy 2.3.0_2 26
py-codetools 4.0.0_2 26
py-cog 2.4_1 26 33
py-configobj 5.0.6_1 25 26 31 32 33
py-construct 2.5.2_1 26 33
py-coverage 3.7.1_1 25 26 31 32 33
py-cairo 1.10.0_4 26 33
py-cairosvg 2.0.1 33
py-curl 7.19.0_2 26
py-dateutil 2.5.1_1 26 33
py-dispatcher 2.0.1_1 26
py-dispel4py-devel 0.0.1-3_1 26
py-dispel4py-registry-devel \
0.0.1-3_1 26
py-django 1.7.1_1 26 33
py-django-debug-toolbar 0.9.4_1 26
py-django-extensions 1.1.1_1 26
py-django-nose 0.7.0_1 26
py-django-htmlmin 1.2_1 26
py-docx 0.0.2_2 26
py-eggtrayicon 2.25.3_3 26
py-elib.intl 0.0.3-20110711_2 \
26
py-enchant 1.6.6_1 26 33
py-envisage 4.4.0_1 26
py-etsdevtools 4.0.2_1 26
py-eventlet 0.22.0 26
py-feedparser 5.1.3_1 26
py-fipy 3.1_1 26
py-flask-auth 0.85_1 26
py-flask-sqlalchemy 2.0_1 26 33
py-gda 2.25.3_4 26
py-gdal 2.0.0_1 26
py-gdata 2.0.18_1 26
py-gdbm 2.5.6_1 25
py-gdl 2.25.3_2 26
py-geopandas 0.1.1_1 33
py-geopy 1.11.0_1 26 33
py-gitpython 2.0.2_1 26
py-gmpy 1.17_1 25 26 31 32 33
py-gmpy2 2.0.7_1 26 31 32 33
py-gnome 2.28.1_9 26
py-goocanvas 0.14.1_7 26
py-google-apputils 0.4.2_1 26
py-gnuplot 1.8_3 26
py-gobject 2.28.6_3 26 33
py-gobject3 3.28.1_1 33 34
py-gst-python 0.10.22_3 26
py-gtkhtml2 2.25.3_3 26
py-gtkmvc 1.99.1_3 26
py-gtkspell 2.25.3_4 26
py-h5py 2.8.0 26 33 34
py-hcluster 0.2.0_2 26
py-hgsvn 0.1.9_1 26
py-html5lib @1.0b10_2 26 33
py-htmldocs 3.3.99 26 31 32 33
py-http-parser 0.8.3_1 26 31 32 33
py-id3lib 0.5.1_1 26
py-ipy 0.81_1 25 26
py-isodate 0.5.4 33 34
py-jcc 2.13_1 26
py-jmespath 0.9.3 34
py-jsbeautifier 1.4.0_1 26
py-kapteyn 2.2_1 26
py-keyring 3.6_1 26 33
py-keybinder 0.3.1_1 26
py-libcloud 0.17.0_1 26 33
py-lmfit 0.9.2_1 26 33
py-matplotlib 1.5.0_1 26 33
py-mecab 0.996_1 26
py-memprof 0.3.3_1 26 32 33
py-mdp-toolkit 3.3_2 26 33
py-mingus 0.4.2.3_1 26
py-mitmproxy 0.10.1_2 26
py-mock 1.0.1_1 25 26 31 32 33
py-mpi4py 2.0.0_1 26 33
py-mssql 2.1.0_1 26
py-mygpoclient 1.7_1 26
py-mysql 1.2.3_2 26
py-notify-python 0.1.1_6 26
py-obspy 1.1.0 34
py-openbabel 2.3.2_1 26
py-openssl 0.15.1_6 26 33
py-pathfinder 0.5.3_1 33
py-pathtools 0.1.2_1 33
py-pep8 1.6.2_1 25 26 31 32 33
py-pint 0.7.2 33
py-pkgconfig 1.3.1_1 26 33
py-plumbum 1.6.2 32
py-powerline 2.2_1 26 33
py-progressbar 2.3_1 26
py-protobuf 2.6.1_3 26
py-protobuf3 3.5.1 34
py-pyaudio 0.2.8_1 26
py-pyasdf 0.3.0_1 34
py-pycallgraph 1.0.1_1 33
py-pycluster 1.50_2 26
py-pyfftw 0.10.4_1 33
py-pygeocoder 1.1.4_1 26
py-pygraphviz 1.1_1 26
py-pygresql 4.1.1_1 26
py-pygrib 2.0.2 33
py-pygtk 2.24.0_4 26
py-pygtksourceview 2.10.1_4 26
py-pyke 1.1.1_1 26 32 33
py-pykerberos 1.1-10616_1 26
py-pylibmc 1.2.3_3 26
py-pymc 2.3.6_1 26 33
py-pymca 4.4.1p1_1 26
py-pyml 0.7.7_2 26
py-pync 1.4_1 33
py-pyobjc 3.0.4_1 25 26 31 32 33
py-pyobjc-cocoa 3.0.1_1 25 26 31 32 33
py-pyobjc-fsevents 3.0.3_1 26 31 32 33
py-pyobjc-qtkit 2.5.1_1 26 31 32 33
py-pyobjc-quartz 2.5.1_1 26 31 32 33
py-pyodbc 3.0.6_1 26
py-pyopencl 2013.2_1 26 33
py-pyqtgraph 0.9.10_1 34
py-pyrfc3339 1.1 34
py-pyshp 1.2.1_1 26 32 33
py-pytidylib 0.2.1_1 26
py-pytools 2013.5.6_1 26 33
py-pyxb 1.2.4_2 26 33
py-raven 5.32.0_1 33
py-rdflib 4.2.2_1 26 33 34
py-requests 2.16.5_1 26
py-requests-unixsocket 0.1.5_1 26
py-restkit 4.2.2_1 26
py-rope 0.9.4_1 25 26 33
py-roundup 1.4.21_1 26
py-scikit-image 0.11.3_1 26 32 33
py-scikits-samplerate 0.3.3_1 26
py-scimath 4.1.2_1 26
py-scitools 0.9.0_2 26
py-snowballstemmer 1.2.0_1 26 33
py-south 0.8.1_1 26
py-sparqlwrapper 1.6.4_1 34
py-spatialite 3.0.1_2 26
py-sphinx-contrib 0.0.20151230 26
py-sphinx_rtd_theme 0.1.9_2 26 33
py-spyder 2.3.7_1 33
py-spyder-devel 2.3.4_1 33
py-sqlite 2.6.3_1 26
py-storm 0.18_1 26
py-swap 3.1.3 26 33 34 35
py-tahchee 0.9.8_1 26
py-tensorflow 1.4.1 34
py-tensorflow-tensorboard \
0.4.0rc3 34
py-thrift 0.10.0_1 26
py-threadpool 1.2.7_1 26
py-tkinter 2.5.6_1 25
py-tre 0.8.0_2 26
py-tweepy 1.12_1 26
py-twisted 13.2.0_1 26
py-tvdb 1.9_1 26
py-tvnamer 2.3_1 26
py-uncertainties 2.4.6.1_1 26 33
py-unidecode 0.04.20 33 34
py-virtualenv 15.1.0_1 26 33
py-visa 1.4_1 26
py-vobject 0.8.1c_1 26
py-watchdog 0.7.1_1 33
py-webkitgtk 1.1.8_8 26
py-w3lib 1.9.0_1 33
py-xhtml2pdf 0.0.6_2 26
py-yaml 3.13 26 33
if {${subport} ne ${name}} {
PortGroup obsolete 1.0
} else {
maintainers {larryv @larryv} openmaintainer
supported_archs noarch
universal_variant no
description Metaport containing obsolete Python subports
long_description This is a metaport for collecting obsolete \
Python subports so they don't cause spurious \
build failures on the MacPorts buildslaves \
whenever their superports are modified. It \
cannot be installed.
archive_sites
master_sites
distfiles
pre-fetch {
ui_error {This is a metaport for obsolete Python subports.}
return -code error {non-installable metaport}
}
}